perl-Bundle-InterchangeKitchenSink

Bundle of Most All the Modules Nice to Have for Interchange. A Lot of Stuff

This bundle installs the prerequisites for Interchange 5 as well as some modules that are not strictly necessary. (Interchange was formerly known as Minivend.) After installing this bundle, it is recommended that you quit the current session and then run Interchange's 'makecat' program. That will give you the benefit of line completion and history. The core functions of Interchange _will_ run with a stock Perl, but to use some features of Interchange (like the administrative interface) you will need these modules. * Digest::MD5 This module is used to generate unique cache keys. If you don't have it, then keys will be computed with a checksum that has a very low but not infinitesimal chance of causing a cache conflict. * Storable If you have this module session save speed increases by anywhere from 25-60%. Highly recommended for busy systems. * Safe::Hole This helps Interchange deal with the object-creation restrictions of _Safe.pm_, used to encourage security. * DBI Most people want to use SQL with Interchange, and this is a requirement. You will also need the appropriate DBD module, i.e. DBD::mysql to support *MySQL*. * Term::ReadKey Helps Term::ReadLine::Perl generate completions and editing for makecat and other interactive scripts from command line. * Term::ReadLine::Perl Gives you filename completion and command history in the makecat program. Not used otherwise. * MIME::Base64 Provides HTTP services for internal HTTP server and basic authentication. * URI::URL Provides HTTP primitives for internal HTTP server. * HTML::Tagset Required by Bundle::LWP. * Bundle::LWP Certain parts of these modules (URI::URL and MIME::Base64) are required for Interchange's internal HTTP server. Also, Business::UPS, for calculating shipping, requires this. * Business::UPS Enables lookup of shipping costs directly from www.ups.com. Requires Bundle::LWP. * IO::Scalar Used for Spreadsheet::*Excel. * Parse::RecDescent Used for Spreadsheet::*Excel. * OLE::Storage_Lite Used for Spreadsheet::*Excel. * Image::Size Optional but recommended for [image ...] tag. * Tie::ShadowHash Needed for pre-fork mode of Interchange, prevents permanent write of configuration. * Spreadsheet::ParseExcel Allows upload of XLS spreadsheets for database import in the UI. * Spreadsheet::WriteExcel Allows output of XLS spreadsheets for database export in the UI. * Archive::Tar Only needed for supplementary UserTag definitions. * Archive::Zip Only needed for supplementary UserTag definitions. * Compress::Zlib Only needed for supplementary UserTag definitions. * Crypt::SSLeay Payment interface links via HTTPS/SSL. * SOAP::Lite Only needed when employing SOAP. * Tie::Watch Allows tied configuration values that execute subroutines on access or set. * Time::HiRes Needed for some Intranet functions. * Authen::Captcha Needed for captcha generation filter. * Digest::Bcrypt Used for strong password encryption. * Crypt::Random Used for strong password encryption.

There is no official package available for openSUSE Leap 15.1

Distributions

openSUSE Tumbleweed